%define	name	qcomicbook
%define	version	0.4.4
%define	release	%mkrel 1
%define summary Comic book archive viewer
%define group	File tools

Name:		%{name} 
Summary:	%{summary}
Version:	%{version} 
Release:	%{release} 
Source0:	%{name}-%{version}.tar.gz
Source1:	qcomicbook.desktop
URL:		http://linux.bydg.org/~yogin/
Group:		%{group}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
Requires:	unzip
Requires:	qt4-common >= 4.2.2
BuildRequires:  ImageMagick
BuildRequires:  qt4-devel

%description
QComicBook is a viewer for comic book archives containing jpeg/png 
images, which aims at convenience and simplicity. Features include:

    * automatic handling of archives
    * full-screen mode
    * two-pages mode and japanese mode
    * thumbnails view
    * page scaling (fit to window witdth/height, whole page)
    * mouse or keyboard navigation, whatever you prefer
    * bookmarks
    * and more... 

%prep
%setup -q

%build
%{__perl} -pi -e 's|moc-qt4|%{qt4dir}/bin/moc|g' src/Makefile.{am,in}
%{__perl} -pi -e 's|with_Qt_dir/lib|with_Qt_dir/%{_lib}|' acinclude.m4
%{_bindir}/autoreconf --verbose --force --install


%{configure2_5x} \
  --with-Qt-dir=%{qt4dir} \
  --with-Qt-bin-dir=%{qt4dir}/bin \
  --with-Qt-lib-dir=%{qt4lib}
%{make}


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_menudir}
install -m644 data/qcomicbook.png -D $RPM_BUILD_ROOT%{_iconsdir}/qcomicbook.png
# Create other icons
convert data/qcomicbook.png -resize 48x48 ./qcomicbook-48.png
convert data/qcomicbook.png -resize 16x16 ./qcomicbook-16.png
install -m644 ./qcomicbook-48.png -D $RPM_BUILD_ROOT%{_liconsdir}/qcomicbook.png
install -m644 ./qcomicbook-16.png -D $RPM_BUILD_ROOT%{_miconsdir}/qcomicbook.png

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT/%{_datadir}/applications/qcomicbook.desktop

%post
%{update_menus}

%postun
%{clean_menus}

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root)
%doc AUTHORS README ChangeLog THANKS TODO
%{_iconsdir}/*
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/%{name}/*
%{_datadir}/applications/qcomicbook.desktop
%{_datadir}/pixmaps/qcomicbook.png

%changelog
* Sat Sep 09 2009 pcserver <pcserver at hush.com> 0.4.4-1pclos2009
- 0.4.4

* Sat Sep 05 2009 pcserver <pcserver at hushmail.com> 0.4.3-1pclos2009
- 0.4.3

* Sun Dec 09 2007 Texstar <texstar@gmail.com> 0.4.0-1pclos2007
- rebuild against updated libqt4

* Thu Nov 15 2007 Texstar <texstar@gmail.com> 0.4.0-1pclos2007
- 0.4.0
- qt4 required

* Wed Apr 18 2007 Texstar <texstar@houston.rr.com> 0.3.4-2pclos2007
- Automated Rebuild

* Thu Nov 30 2006 Texstar <texstar@houston.rr.com> 0.3.4-1pclos2007
- 0.3.4
- fix menu entry

